// ===========================================================================
// CONTENT  : INTERFACE IExplorationModelObject
// AUTHOR   : M.Duchrow
// VERSION  : 1.1 - 30/01/2008
// HISTORY  :
//  09/03/2007  mdu  CREATED
//	30/01/2008	mdu		changed	--> Moved getContext() up from IExplorableElement
//
// Copyright (c) 2007-2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * This is the base interface of all objects that comprise the exploration model.
 *
 * @author M.Duchrow
 * @version 1.1
 */
public interface IExplorationModelObject extends IObjectProperties
{
  /**
   * Returns the identifying name of the model object
   */
  public String getName();

  /**
   * Returns the exploration context the element belongs to 
   */
  public IExplorationContext getContext();

}