// ===========================================================================
// CONTENT  : INTERFACE INamespacesVisitor
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/01/2007
// HISTORY  :
//  08/01/2007  mdu  CREATED
//
// Copyright (c) 2007, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

/**
 * This interface defines one part of the "Visitor Pattern". It specifies
 * a callback method that gets invoked while iterating through objects that
 * contain INamespace objects.
 * Iteration immedately stops whenever visitNamespace(INamespace) returns false.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface INamespacesVisitor
{
  /**
   * Will be called for each INamespace object.
   * 
   * @param namespace The namespace that gets visited
   * @return true if processing should be continued, otherwise false
   */
  public boolean visitNamespace(INamespace namespace);

}