// ===========================================================================
// CONTENT  : TEST CLASS {ClassName}
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 13/01/2008
// HISTORY  :
//  13/01/2008  mdu  CREATED
//
// Copyright (c) 2008, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.odem;

import static org.junit.Assert.*;
import org.pfsw.odem.Visibility;
import org.junit.Test;

/**
 * Test class for corresponding business class.
 *
 * @author M.Duchrow
 * @version 1.1
 */
public class VisibilityTest
{
  @Test
  public void test_asString()
  {
    assertEquals("public", Visibility.PUBLIC.asString());
    assertEquals("protected", Visibility.PROTECTED.asString());
    assertEquals("private", Visibility.PRIVATE.asString());
    assertEquals("default", Visibility.DEFAULT.asString());
  }

  @Test
  public void test_fromString_1()
  {
    assertTrue(Visibility.PUBLIC == Visibility.fromString("public"));
    assertTrue(Visibility.PROTECTED == Visibility.fromString("protected"));
    assertTrue(Visibility.PRIVATE == Visibility.fromString("private"));
    assertTrue(Visibility.DEFAULT == Visibility.fromString("default"));
    assertNull(Visibility.fromString("PRIVATE"));
    assertNull(Visibility.fromString(null));
  }
}
